AO-SKY-FLASH(1)

NAME
ao-sky-flash - flash GPS firmware program to a SkyTraq GPS chip

SYNOPSIS
ao-sky-flash [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] [--loader boot-loader] [--firmware gps-firmware] [--query] [--quiet] [--raw]

DESCRIPTION
ao-sky-flash loads the specified GPS firmware file into the target GPS chip flash memory using the specified boot loader.

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMetrum:2
    TeleMetrum
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

--loader boot-loader
    This specifies the desired boot loader to use for reflashing the device. You should use srec_115200.bin unless you have a good reason not to. This should be in S record format.

--firmware gps-firmware
    This specifies the new GPS firmware image to load onto the target GPS chip. No checking is done on this device at all; flash garbage and the GPS chip will probably fail to boot.

--query
    Instead of loading new firmware, query the current version of firmware running on the target device.

--quiet
    Normally, ao-spy-flash is quite chatty. This shuts it up, except for error messages.

--raw
    The expected target for reflashing is an Altus Metrum product with the GPS chip connected to the CPU on that board and not directly to the USB serial port. This option says that the target GPS chip is directly connected, which changes how things are initialized a bit.

USAGE
ao-sky-flash loads the specified bootloader into device RAM and then uses that to load new firmware to flash.

AUTHOR
Keith Packard